Bug 28620 - Remove trailing space when logging with log4perl
Summary: Remove trailing space when logging with log4perl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-23 11:51 UTC by Marcel de Rooy
Modified: 2021-08-16 18:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28620: Remove trailing space when logging with log4perl (7.83 KB, patch)
2021-06-23 12:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 28620: Remove trailing space when logging with log4perl (7.84 KB, patch)
2021-07-08 14:03 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28620: Remove trailing space when logging with log4perl (7.90 KB, patch)
2021-07-25 01:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28620: Replace remaining occurrence in test (876 bytes, patch)
2021-07-26 09:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-06-23 11:51:29 UTC

    
Comment 1 Marcel de Rooy 2021-06-23 11:59:01 UTC
Using <space>%n in the config means space newline.
Comment 2 Marcel de Rooy 2021-06-23 12:05:02 UTC
Created attachment 122328 [details] [review]
Bug 28620: Remove trailing space when logging with log4perl

Trivial change.
Do sed -i -r -e'/log4perl/ s/\s%n$/%n/' on the log4perl configs.

Test plan:
Update your own config.
Trigger some logging and check that logfile.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Nick Clemens 2021-07-08 14:03:18 UTC
Created attachment 122678 [details] [review]
Bug 28620: Remove trailing space when logging with log4perl

Trivial change.
Do sed -i -r -e'/log4perl/ s/\s%n$/%n/' on the log4perl configs.

Test plan:
Update your own config.
Trigger some logging and check that logfile.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Katrin Fischer 2021-07-25 01:37:49 UTC
Created attachment 123174 [details] [review]
Bug 28620: Remove trailing space when logging with log4perl

Trivial change.
Do sed -i -r -e'/log4perl/ s/\s%n$/%n/' on the log4perl configs.

Test plan:
Update your own config.
Trigger some logging and check that logfile.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-07-26 09:21:33 UTC
Created attachment 123180 [details] [review]
Bug 28620: Replace remaining occurrence in test

Not useful but won't hurt either.
At least all our occurrences are identical now.
Comment 6 Jonathan Druart 2021-07-26 09:24:10 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-07-30 14:32:54 UTC
Pushed to 21.05.x for 21.05.03
Comment 8 Fridolin Somers 2021-08-03 04:50:12 UTC
Pushed to 20.11.x for 20.11.09
Comment 9 Victor Grousset/tuxayo 2021-08-16 18:59:38 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.